.pagination-timeline {
	display: flex;
	/*      align-items: left;*/
}

.pagination-timeline .page-item {
	/*      margin: 0;*/
}

.pagination-timeline .page-link {
	border: 2px solid #007bff;
	background-color: transparent;
	color: #007bff;
	/*      padding: 5px 10px; /* Menambahkan ruang antara setiap link */
	*/
}

.pagination-timeline .page-link:hover {
	background-color: #007bff;
	color: #fff !important;
}


		/* Button used to open the chat form - fixed at the bottom of the page */
.open-button {
background-color: #555;
color: white;
padding: 16px 20px;
border: none;
cursor: pointer;
opacity: 0.8;
position: fixed;
bottom: 23px;
right: 28px;
width: 280px;
}

.open-button:hover {
color: white;

}

/* The popup chat - hidden by default */
.chat-popup {
display: none;
position: fixed;
bottom: 0;
right: 15px;
border: 3px solid #f1f1f1;
z-index: 9;
}

/* Add styles to the form container */
.form-container {
max-width: 300px;
padding: 10px;
background-color: white;
}

/* Full-width textarea */
.form-container textarea {
width: 100%;
padding: 15px;
margin: 5px 0 22px 0;
border: none;
background: #f1f1f1;
resize: none;
min-height: 200px;
}

/* When the textarea gets focus, do something */
.form-container textarea:focus {
background-color: #ddd;
outline: none;
}

/* Set a style for the submit/send button */
.form-container .btn {
background-color: #04AA6D;
color: white;
padding: 16px 20px;
border: none;
cursor: pointer;
width: 100%;
margin-bottom:10px;
opacity: 0.8;
}

/* Add a red background color to the cancel button */
.form-container .cancel {
background-color: red;
}

/* Add some hover effects to buttons */
.form-container .btn:hover, .open-button:hover {
opacity: 1;
}

#chatbox {
  display: none;
  position: fixed;
  bottom: 20px;
  right: 20px;
  width: 300px;
  background-color: #fff;
  border: 1px solid #ccc;
  border-radius: 5px;
  box-shadow: 0 2px 5px rgba(0, 0, 0, 0.1);
}

#chat-header {
  background-color: #3498db;
  color: #fff;
  padding: 10px;
  border-top-left-radius: 5px;
  border-top-right-radius: 5px;
}

#chat-content {
  padding: 10px;
  max-height: 200px;
  overflow-y: auto;
}

#user-input {
  padding: 10px;
  border-top: 1px solid #ccc;
}

#options {
  margin-top: 10px;
}

/* Atur lebar form menjadi sekitar 300px */
.custom-form {
	max-width: 300px !important;
	margin: 0 auto;
	/* Mengatur rata tengah */
}

.container_welcome {
  background-image: url("../img/bg/bg_welcome.jpg"); /* Ganti "path/to/your/image.jpg" dengan path gambar Anda */
  background-size: cover; /* Menutupi seluruh container dengan gambar */
  background-position: top; /* Memposisikan gambar di tengah container */
  height: auto; /* Atur ketinggian container sesuai kebutuhan */
}

.text-muted{
	/* color:#fff !important; */
}

.btn-quiz-full {
  display: block;
  width:100%;
  float:left;
  max-width: 400px;
  margin: 20px auto;
  padding: 15px 30px;
  font-size: 20px;
  font-weight: bold;
  text-align: center;
  color: #fff; /* Warna teks putih */
  background-color: #28a745; /* Warna latar belakang hijau */
  border: none;
  border-radius: 50px;
  box-shadow: 0 5px 10px rgba(0, 0, 0, 0.2);
  transition: background-color 0.3s ease;
}

.btn-quiz-full:hover {
  background-color: #218c3d; /* Warna latar belakang saat hover hijau tua */
  color: #fff; /* Warna teks putih */
}

.btn-quiz {
  display: block;
  float:right;
  max-width: 400px;
  margin: 10px;
  padding: 15px 30px;
  font-size: 20px;
  font-weight: bold;
  text-align: center;
  color: #fff; /* Warna teks putih */
  background-color: #28a745; /* Warna latar belakang hijau */
  border: none;
  border-radius: 50px;
  box-shadow: 0 5px 10px rgba(0, 0, 0, 0.2);
  transition: background-color 0.3s ease;
}

.btn-quiz:hover {
  background-color: #218c3d; /* Warna latar belakang saat hover hijau tua */
  color: #fff; /* Warna teks putih */
}

.btn-quiz-slave {
  display: block;
  float:left;
  max-width: 400px;
  margin: 10px;
  padding: 15px 30px;
  font-size: 20px;
  font-weight: bold;
  text-align: center;
  color: #fff; /* Warna teks putih */
  background-color: #007bff; /* Warna latar belakang hijau */
  border: none;
  border-radius: 50px;
  box-shadow: 0 5px 10px rgba(0, 0, 0, 0.2);
  transition: background-color 0.3s ease;
}

.btn-quiz-slave:hover {
  background-color: #0484c7; /* Warna latar belakang saat hover hijau tua */
  color: #fff; /* Warna teks putih */
}

@media (min-width: 992px) {
  .header-fixed.toolbar-fixed .wrapper {
    padding-top: calc(25px + var(--kt-toolbar-height));
  }
}

.section-heading {
  display: flex;
  flex-direction: column;
  align-items: center;
  margin-bottom: 40px;
}

.section-heading__content {
  display: flex;
  flex-direction: column;
  align-items: center;
  margin-bottom: 10px;
}

.section-heading__subheading {
  font-size: 24px;
  font-weight: normal;
  margin-bottom: 0;
}

.section-heading__heading {
  font-size: 32px;
  font-weight: bold;
  margin-bottom: 0;
}

.section-heading__strips {
  display: flex;
  align-items: stretch;
}

.section-heading__strip {
  width: 50px;
  height: 3px;
  background-color: #007bff;
  margin-top: 5px;
}

.section-heading__strip-left {
  margin-right: 20px;
}

.section-heading__strip-right {
  margin-left: 20px;
}


/* Selector untuk semua input text dengan class "center-text" */
.center-text {
  display: flex;  /* Metode 2 (Flexbox) */
  align-items: center;
  justify-content: center;
}


    /* Atur lebar form menjadi sekitar 300px */
    .custom-form {
        max-width: 300px !important;
        margin: 0 auto;
        /* Mengatur rata tengah */
    }

    /* Gaya khusus untuk tanda panah pada select option */
    .custom-select-wrapper {
      position: relative;
      display: inline-block;
    }

    .custom-select-wrapper::after {
      content: '\25BC'; /* Tanda panah Unicode untuk bawah */
      font-size: 0.75rem;
      position: absolute;
      top: 50%;
      right: 10px;
      transform: translateY(-50%);
      pointer-events: none;
      color:#999;
    }

    /* Styling tambahan untuk fokus dan hover */
    .custom-select:focus {
      border-color: #80bdff;
      box-shadow: 0 0 0 0.2rem rgba(0, 123, 255, 0.25);
    }

    .custom-select:hover {
      border-color: #6c757d;
    }
    
.page_number{
    padding-right:15px;
    text-align:right;
    color:#ccc;
    display:block;
}


#toast-container {
  position: fixed;
  bottom: 20px;
  right: 20px;
  z-index: 9999;
  display: flex;
  align-items: center;
  justify-content: space-between;
}

.toast {
  background-color: rgba(0, 123, 255, 0.8); /* Biru transparan (alpha = 0.8) */
  color: #fff;
  padding: 15px 20px;
  border-radius: 5px;
  box-shadow: 0 0 10px rgba(0, 0, 0, 0.1);
  opacity: 0;
  transition: opacity 0.5s ease-in-out;
  font-family: sans-serif;
}

.toast.show {
  opacity: 1;
}

.toast-icon {
  flex-shrink: 0;
  margin-right: 10px;
}

.toast-icon svg {
  width: 20px;
  height: 20px;
  fill:currentColor;
}

.love{
    color:red;
}

.btn-square {
  border-radius: 0; /* Menghapus radius default */
}




/* style.css */

.popup {
  display: none;
  position: fixed;
  top: 50%;
  left: 50%;
  transform: translate(-50%, -50%);
  background-color: white;
  padding: 20px;
  border-radius: 5px;
  box-shadow: 0px 0px 10px rgba(0, 0, 0, 0.5);
  z-index: 100;
}

.popup-header {
  display: flex;
  justify-content: space-between;
  align-items: center;
  margin-bottom: 10px;
}

.popup-content {
  height: 350px;
  overflow-y: scroll;
  padding: 10px;
}

.chat-history {
  margin-bottom: 10px;
}

.chat-message {
  padding: 10px;
  margin-bottom: 5px;
  border-radius: 5px;
  background-color: #eee;
}

.chat-message.manusia {
  text-align: right;
  background-color: #e5f2d2;
  margin-left:20px;
}

.chat-message.robot {
  text-align: left;
}

.chat-input {
  display: flex;
}

#selPertanyaan {
  flex: 1;
  padding: 5px;
  margin-right: 10px;
}

#btnKirim {
  padding: 5px 10px;
  cursor: pointer;
}


/* General styles for the checkmark icon */
.double-check-icon {
  float:right;
  display: inline-block;
  width: 26px;
  height: 18px;
  background-color: transparent; /* Remove background color */
  margin: 0; /* Remove default margins */
  position: relative; /* Enable positioning of the pseudo-elements */
  margin-left:10px;
}

/* Styles for the first checkmark line */
.double-check-icon::before {
  content: "\2713"; /* Unicode character for a checkmark */
  font-size: 12px; /* Match the icon size */
  color: #007bff; /* Blue color */
  position: absolute; /* Make the line absolute to the parent element */
  top: 70%; /* Position at the top */
  left: 25%; /* Position to the left */
  transform: translate(-50%, -50%); /* Center the line within the icon */
}

/* Styles for the second checkmark line */
.double-check-icon::after {
  content: "\2713"; /* Unicode character for a checkmark */
  font-size: 12px; /* Match the icon size */
  color: #007bff; /* Blue color */
  position: absolute; /* Make the line absolute to the parent element */
  top: 70%; /* Position at the top */
  right: 25%; /* Position to the right */
  transform: translate(-50%, -50%); /* Center the line within the icon */
}



.timer-box{
    float:right;
    display:block;
    padding:10px 20px;
    background-color:#ffdc73;
}

/* Style untuk popup "Tambah Waktu" */
#popup_timer {
  position: fixed; /* Posisi absolut di atas elemen lain */
  top: 50%; /* Posisi di tengah vertikal */
  left: 50%; /* Posisi di tengah horizontal */
  transform: translate(-50%, -50%); /* Menyesuaikan posisi berdasarkan top dan left */
  background-color: #fff; /* Warna latar belakang putih */
  padding: 20px; /* Padding internal */
  border-radius: 5px; /* Sudut membulat */
  box-shadow: 0 0 10px rgba(0, 0, 0, 0.2); /* Bayangan kotak */
  z-index: 1000; /* Pastikan popup berada di atas elemen lain */
}

#popup_timer p {
  font-size: 16px; /* Ukuran font */
  margin-bottom: 10px; /* Jarak bawah paragraf */
}

#popup_timer button {
  background-color: #3085d6; /* Warna latar belakang tombol */
  color: #fff; /* Warna teks tombol */
  padding: 10px 20px; /* Padding internal tombol */
  border: none; /* Menghapus border default */
  border-radius: 5px; /* Sudut membulat */
  cursor: pointer; /* Mengubah kursor menjadi pointer */
  transition: background-color 0.3s; /* Transisi untuk efek hover */
}

#popup_timer button:hover {
  background-color: #286090; /* Warna latar belakang saat hover */
}


#mandiri1_1, #mandiri1_2, #mandiri1_3, #mandiri1_4,
#mandiri2_1, #mandiri2_2, #mandiri2_3, #mandiri2_4,
#mandiri3_1, #mandiri3_2, #mandiri3_3, #mandiri3_4,
#mandiri4_1, #mandiri4_2, #mandiri4_3, #mandiri4_4,
#grup1_1, #grup1_2, #grup1_3, #grup1_4, #grup1_5, 
#grup2_1, #grup2_2, #grup2_3, #grup2_4, #grup2_5, 
#grup3_1, #grup3_2, #grup3_3, #grup3_4, #grup3_5, 
#grup4_1, #grup4_2, #grup4_3, #grup4_4, #grup4_5{
  display: block;
  text-align: center;
  border: 1px solid #ccc; /* Add a border */
  border-radius: 4px; /* Add rounded corners */
  background-color: #f5f5f5; /* Set background color */
}

.correct {
  border: 2px solid green !important;
  /* background-color:#3ccf4e !important;*/
}

.wrong {
  border: 2px solid red !important;
  background-color:#ffbfbf !important;
}
